Post
So many changes will be made here as we perfect the wording of posts and replies and how they interact with one another.
Get Post
GET /post/{UUID}
Scopes
post.get / reply.get
Response
- 200
{
"uuid": "string",
"parent": {"parent object"},
"author": {"user object"},
"content": "string",
"from": {"application object"},
"locked": "boolean",
"reply_count": int,
"like_count": int,
"has_liked": "boolean",
"created_at": timestamp
}
Get Post Replies
GET /post/{UUID}/replies/{page}
Scopes
post.get, reply.get
Response
- 200
{
"post": {"post object"},
"replies": [
{"post object"},
{"post object"},
{"post object"},
{"post object"},
{"post object"}
]
}
Send Post
POST /post
Scopes
post.get, post.send / reply.get, reply.post
Body
| Name | Type | Notes |
|---|---|---|
| content | String | Max 500 Characters |
| locked | Boolean | |
| parent | String | The ID of the post you want to reply too |
Response
- 200
{
"uuid": "string",
"parent": {"parent object"},
"author": {"user object"},
"content": "string",
"from": {"application object"},
"locked": "boolean",
"reply_count": int,
"like_count": int,
"has_liked": "boolean",
"created_at": timestamp
}
Update Post
PATCH /post/{UUID}
Scopes
post.get, post.edit / reply.get, reply.edit
Body
| Name | Type | Notes |
|---|---|---|
| content | String | Max 500 Characters |
| locked | Boolean |
Response
- 200
{
"post object"
}
Delete Post
DELETE /post/{UUID}
Scopes
post.get, post.delete / reply.get, reply.delete
Response
- 200
{
"post object"
}
Like/Unlike
POST /post/{UUID}/like
Scopes
post.get, post.like / reply.get, reply.like
Response
- 200
{
"action": "liked",
"uuid": "string"
}
{
"action": "unliked",
"uuid": "string"
}